%define upstream_name    Version-Next
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Increment module version numbers simply and correctly
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Version/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Exception) >= 0.290.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.810.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a simple, correct way to increment a Perl module
version number. It does not attempt to guess what the original version
number author intended, it simply increments in the smallest possible
fashion. Decimals are incremented like an odometer. Dotted decimals are
incremented piecewise and presented in a standardized way.

If more complex version manipulation is necessary, you may wish to consider
the Perl::Version manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 750411
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 686824
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 0.4.0-1.mga5
+ Revision: 603021
- update to 0.004

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 515948
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 374703
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 28893
- mageia rebuild
- imported package perl-Version-Next

